Skip to main content
GET
/
v1
/
numbers
/
available
cURL
curl --request GET \
  --url https://api.fluents.ai/v1/numbers/available \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "user_id": "550e8400-e29b-41d4-a716-446655440000",
      "number": "+1234567890",
      "active": true,
      "label": "My Phone Number",
      "inbound_agent_name": "Agent Name",
      "outbound_only": false,
      "example_context": {},
      "telephony_provider": "twilio",
      "telephony_account_connection": {},
      "description": "Business line for customer service",
      "inbound_agent": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "user_id": "550e8400-e29b-41d4-a716-446655440000",
        "prompt": {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "user_id": "550e8400-e29b-41d4-a716-446655440000",
          "label": "My Prompt",
          "description": "This is a description",
          "content": "You are a helpful assistant...",
          "context_endpoint": "https://api.example.com/context",
          "collect_fields": [
            "<string>"
          ],
          "type": "prompt",
          "tags": [
            "tag1",
            "tag2"
          ],
          "prompt_template": {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "user_id": "550e8400-e29b-41d4-a716-446655440000",
            "required_context_keys": [
              "tag1",
              "tag2"
            ],
            "label": "My Prompt"
          }
        },
        "actions": [
          {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "user_id": "550e8400-e29b-41d4-a716-446655440000",
            "type": "action_transfer_call",
            "config": {},
            "label": "Transfer Call",
            "description": "This is a description",
            "action_trigger": {}
          }
        ],
        "voice": {},
        "name": "My Agent",
        "initial_message": "Hello, how can I help you today?",
        "webhook": {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "user_id": "550e8400-e29b-41d4-a716-446655440000",
          "subscriptions": [
            "event_message",
            "event_action"
          ],
          "url": "https://example.com/webhook",
          "method": "POST",
          "label": "My Webhook",
          "description": "This is a description"
        },
        "context_endpoint": "https://api.example.com/context",
        "noise_suppression": true,
        "conversation_speed": 0.5,
        "initial_message_delay": 1000,
        "openai_model_name_override": "gpt-4",
        "ask_if_human_present_on_idle": true,
        "openai_account_connection": {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "user_id": "550e8400-e29b-41d4-a716-446655440000",
          "type": "account_connection_twilio",
          "credentials": {
            "twilio_account_sid": "AC1234567890",
            "twilio_auth_token": "1234567890"
          },
          "config": {
            "voicemail_detection": {}
          },
          "label": "My Account Connection",
          "description": "This is a description",
          "steering_pool": [
            "+1234567890"
          ],
          "account_supports_any_caller_id": false
        },
        "run_do_not_call_detection": true,
        "llm_fallback": {},
        "deepgram_keywords": {
          "kansas": "10"
        },
        "idle_time_seconds": 10,
        "llm_temperature": 0.5,
        "enable_recording": true,
        "combine_last_call_context": true,
        "provider": "openai",
        "model": "gpt-4",
        "label": "My Agent",
        "description": "This is a description",
        "transcriber": {},
        "call_duration_sec": 10,
        "max_idle_check_count": 10,
        "max_aggregate_idle_check_count": 123,
        "idle_after_interaction_seconds": 123,
        "voicemail_message": "<string>",
        "skills": [
          {}
        ],
        "min_volume": 123,
        "post_call_prompt": "<string>",
        "post_call_email": {
          "provider_config": {
            "destination_id": "<string>"
          },
          "from_email": "no-reply@example.com",
          "to_email": "user@example.com",
          "subject": "Your call summary",
          "body": "Thanks for your call..."
        },
        "post_call_sms": {
          "provider_config": {
            "destination_id": "<string>"
          },
          "from_phone": "+15551234567",
          "to_phone": "+15557654321",
          "body": "Thanks for your call..."
        },
        "post_call_actions": [
          {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "provider_config": {
              "destination_id": "<string>"
            },
            "config": {
              "from_email": "no-reply@example.com",
              "to_email": "user@example.com",
              "subject": "Your call summary",
              "body": "Thanks for your call..."
            },
            "label": "Follow-up email"
          }
        ],
        "activity_actions": [
          {}
        ],
        "enable_dynamic_turns": true,
        "enable_preload_prompt": true,
        "transfer_on_end": true,
        "dynamic_max_silence_secs": 3,
        "dynamic_min_wait_secs": 0.2,
        "enable_dynamic_vm_detection": true,
        "llm_vm_detection_only": true,
        "noise_suppression_level": 50
      }
    }
  ],
  "total": 10
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
required
telephony_provider
string
required
telephony_account_connection
string
required
filters
string
required

Response

items
object[]
required
total
number
required
Example:

10